## python-pysaml2 2.0.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/pysaml2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/pysaml2.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== debian/changelog ===
python-pysaml2 (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #760824)

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Sep 2014 16:11:53 +0800

=== debian/control ===
Source: python-pysaml2
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx
Build-Depends-Indep: python-crypto,
                     python-dateutil,
                     python-decorator,
                     python-mako,
                     python-memcache,
                     python-openssl,
                     python-paste,
                     python-pyasn1,
                     python-pytest,
                     python-repoze.who,
                     python-requests,
                     python-tz,
                     python-zope.interface,
                     xmlsec1
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pysaml2.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pysaml2.git
Homepage: https://github.com/rohe/pysaml2

Package: python-pysaml2
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-mako,
         python-memcache,
         python-pyasn1,
         python-repoze.who,
         xmlsec1,
         ${misc:Depends},
         ${python:Depends}
Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the Python 2.x module.

Package: python-pysaml2-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: SAML Version 2 to be used in a WSGI environment - doc
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pysaml2 pysaml2-(.*).tar.gz

## python-pysaml2 2.4.0

=== debian/changelog ===
python-pysaml2 (2.4.0-0ubuntu2) wily; urgency=medium

  * debian/control:
    - Depend on python-pymongo versions 3.0 and higher
  * debian/patches/fix-build-against-new-pymongo.patch:
    - Cherry-pick fix pysaml2 with python-pymongo 3.0
  * debian/patches/fix-test-failures.patch:
    - Fix the newly failing test failures (LP: #1503698)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 08 Oct 2015 20:16:42 +0200

python-pysaml2 (2.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release, supporting MIR for keystone (LP: #1434526):
    - d/control: Drop runtime dependency on python-repoze.who back to
      a Suggests, remove BD.
    - d/p/disable-repoze.who-tests.patch: Skip hard requirement on repoze.who
      and dependent tests, as repoze.who is unmaintained and out-of-date
      in Debian and Ubuntu.
    - d/p/*: Drop all previous patches, no longer required.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Mar 2015 13:33:26 +0000

python-pysaml2 (2.2.0-0ubuntu2) vivid; urgency=medium

  * d/p/disable-online-tests.patch: Disable tests that require access to
    online resources.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Jan 2015 11:54:09 +0000

python-pysaml2 (2.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
    - d/control: Add python-pymongo to BD's.
    - d/p/disable-failing-tests.patch: Disable two tests that currently
      fail in the upstream code base.
    - d/p/fix-error-tests.patch: Fixup problems with lack of full_path
      use in some test cases.
  * d/watch: Fix parsing of pypi urls.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Jan 2015 11:43:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
                python-all (>= 2.6.6-3~),
@@ -16,7 +17,7 @@
                      python-paste,
                      python-pyasn1,
                      python-pytest,
-                     python-repoze.who,
+                     python-pymongo (>= 3.0.1),
                      python-requests,
                      python-tz,
                      python-zope.interface,
@@ -33,10 +34,10 @@
 Depends: python-mako,
          python-memcache,
          python-pyasn1,
-         python-repoze.who,
          xmlsec1,
          ${misc:Depends},
          ${python:Depends}
+Suggests: python-repoze.who
 Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/rohe/pysaml2.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pysaml2; \
	done
	mv $(CURDIR)/debian/python-pysaml2/usr/bin/make_metadata.py \
		$(CURDIR)/debian/python-pysaml2/usr/bin/pysaml2-make-metadata
	mv $(CURDIR)/debian/python-pysaml2/usr/bin/mdexport.py \
		$(CURDIR)/debian/python-pysaml2/usr/bin/pysaml2-mdexport
	mv $(CURDIR)/debian/python-pysaml2/usr/bin/parse_xsd2.py \
		$(CURDIR)/debian/python-pysaml2/usr/bin/pysaml2-parse-xsd2
# Python3 is not yet supported upstream
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-pysaml2; \
#	done
	rm -rf $(CURDIR)/debian/python*-pysaml2/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in 2.7; do \
		PYTHONPATH=$(CURDIR)/src:. py.test-$$pyvers; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc debian/python-pysaml2-doc/usr/share/doc/python-pysaml2-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pysaml2/ pysaml2-(.*).tar.gz

## python-pysaml2 3.0.0

=== debian/changelog ===
python-pysaml2 (3.0.0-5+deb9u2) stretch-security; urgency=medium

  [ Brian May ]
  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2021-21239 - Restrict the key data that xmlsec1 accepts to on.

  [ Abhijith PA ]
  * Fix CVE-2017-1000433 - bypass password with python optimizations
    enabled

 -- Brian May <bam@debian.org>  Tue, 02 Feb 2021 08:42:57 +1100

python-pysaml2 (3.0.0-5+deb9u1) stretch-security; urgency=medium

  * CVE-2020-5390

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 19 Feb 2020 21:45:47 +0100

python-pysaml2 (3.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Add upstream patch for XML External Entity attack (Closes: #850716).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jan 2017 16:28:55 +0100

python-pysaml2 (3.0.0-4) unstable; urgency=medium

  [ gustavo panizzo ]
  * Increase the minimun version of python-pyasn1 required.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:47:50 +0100

python-pysaml2 (3.0.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:48:31 +0000

python-pysaml2 (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:34:56 +0000

python-pysaml2 (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Added Python3 support.
  * Updated watch file to use github tag and not broken pypi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Jul 2015 08:47:57 +0000

python-pysaml2 (2.4.0-2) unstable; urgency=medium

  * Makes build reproducible thanks to Juan Picca (Closes: #789751).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:41:09 +0200

python-pysaml2 (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Dropped X-Python-Version: >= 2.7.
  * Standard-Versions: is now 3.9.6.
  * Also renames /usr/bin/merge_metadata.py as pysaml2-merge-metadata.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 May 2015 17:48:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,62 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 9),
-               python-all (>= 2.6.6-3~),
+Build-Depends: debhelper (>= 10),
+               dh-python,
+               python-all,
                python-setuptools,
-               python-sphinx
-Build-Depends-Indep: python-crypto,
+               python-sphinx,
+               python3-all,
+               python3-setuptools
+Build-Depends-Indep: python-alabaster,
+                     python-crypto,
                      python-dateutil,
                      python-decorator,
+                     python-defusedxml,
                      python-mako,
                      python-memcache,
                      python-openssl,
                      python-paste,
-                     python-pyasn1,
+                     python-pyasn1 (>=0.1.8),
+                     python-pymongo,
                      python-pytest,
-                     python-pymongo (>= 3.0.1),
+                     python-repoze.who,
                      python-requests,
                      python-tz,
                      python-zope.interface,
+                     python3-crypto,
+                     python3-dateutil,
+                     python3-decorator,
+                     python3-defusedxml,
+                     python3-mako,
+                     python3-memcache,
+                     python3-openssl,
+                     python3-paste,
+                     python3-pyasn1 (>=0.1.8),
+                     python3-pymongo,
+                     python3-pytest,
+                     python3-repoze.who,
+                     python3-requests,
+                     python3-tz,
+                     python3-zope.interface,
                      xmlsec1
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.7
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pysaml2.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-pysaml2.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pysaml2?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-pysaml2 -b debian/newton
 Homepage: https://github.com/rohe/pysaml2
 
 Package: python-pysaml2
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-mako,
+Depends: python-defusedxml,
+         python-mako,
          python-memcache,
-         python-pyasn1,
+         python-pyasn1 (>=0.1.8),
+         python-repoze.who,
          xmlsec1,
          ${misc:Depends},
          ${python:Depends}
-Suggests: python-repoze.who
 Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.
@@ -54,10 +73,35 @@
  .
  This package contains the Python 2.x module.
 
+Package: python3-pysaml2
+Architecture: all
+Depends: python3-defusedxml,
+         python3-mako,
+         python3-memcache,
+         python3-pyasn1 (>=0.1.8),
+         python3-repoze.who,
+         xmlsec1,
+         ${misc:Depends},
+         ${python3:Depends}
+Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
+ This package provides a Python implementation of SAML Version 2 to be used in
+ a WSGI environment.
+ .
+ From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
+ of the SAML standard for exchanging authentication and authorization data
+ between security domains. SAML 2.0 is an XML-based protocol that uses security
+ tokens containing assertions to pass information about a principal (usually an
+ end user) between a SAML authority, that is, an identity provider, and a SAML
+ consumer, that is, a service provider. SAML 2.0 enables web-based
+ authentication and authorization scenarios including cross-domain single
+ sign-on (SSO), which helps reduce the administrative overhead of distributing
+ multiple authentication tokens to the user.
+ .
+ This package contains the Python 3.x module.
+
 Package: python-pysaml2-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: SAML Version 2 to be used in a WSGI environment - doc
  This package provides a Python implementation of SAML Version 2 to be used in

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/rohe/pysaml2.git
-include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--no-compile --root $(CURDIR)/debian/python-pysaml2; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pysaml2; \
	done
	for i in make_metadata mdexport parse_xsd2 merge_metadata ; do \
		mv $(CURDIR)/debian/python-pysaml2/usr/bin/$$i.py $(CURDIR)/debian/python-pysaml2/usr/bin/python2-$$i ; \
		mv $(CURDIR)/debian/python3-pysaml2/usr/bin/$$i.py $(CURDIR)/debian/python3-pysaml2/usr/bin/python3-$$i ; \
	done
	rm -rf $(CURDIR)/debian/python*-pysaml2/usr/lib/python*/dist-packages/*.pth

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in 2.7 $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/src:. py.test-$$pyvers || true ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -D today="$(BUILD_DATE)" -b html doc debian/python-pysaml2-doc/usr/share/doc/python-pysaml2-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-pysaml2 4.0.2

=== example/requirements.txt ===
mako
cherrypy

=== doc/code/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/src.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/src.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/src"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/src"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pysaml2 (4.0.2-0ubuntu3) bionic; urgency=medium

  * SECURITY UPDATE: Any password can be used if optimizations are enabled
    - debian/patches/CVE-2017-1000433.patch: fixes authentication bypass due
      to optimizations in src/saml2/authn.py.
    - CVE-2017-1000433
  * Add a fix patch for test_41_response
    - debian/patches/fix-test-41-response.patch

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 22 Feb 2018 11:20:28 -0300

python-pysaml2 (4.0.2-0ubuntu2) bionic; urgency=medium

  * d/p/skip-online-tests.patch: Skip misc tests that require open
    access to misc internet resources.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 15:57:41 +0000

python-pysaml2 (4.0.2-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/rules,control: Add missing BD's on requests, defusedxml and
    mock, fix execution of unit tests under default py2/3.
  * d/p/fix-test-pathing.patch: Misc fixes for tests that fail due
    to expired test data and invalid relative pathing.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 13:54:58 +0000

python-pysaml2 (3.0.0-3ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: External Entity vulnerability
    - debian/patches/CVE-2016-10149.patch: fixes XXE issues in
      setupy.py, src/saml2/__init__.py, src/saml2/pack.py,
      src/saml2/soap.py, tests/test_03_saml2.py,
      tests/test_43_soap.py, tests/test_51_client.py.
    - CVE-2016-10149
  * Some tests fails in upstream test suite. Adding the
    corresponding fix.
    - debian/patches/fix-tests.patch

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 22 Aug 2017 17:37:33 -0300

python-pysaml2 (3.0.0-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop runtime dependencies on python{,3}-repoze.who back
      to a Suggests, remove BD. Depend on pymongo 3.0 and higher.
    - debian/patches/disable-repoze.who-tests.patch: Skip hard requirement on
      repoze.who and dependent tests, as repoze.who is unmaintained and
      out-of-date in Debian and Ubuntu.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 18 Feb 2016 12:53:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-setuptools
+               python3-setuptools,
 Build-Depends-Indep: python-alabaster,
                      python-crypto,
                      python-dateutil,
@@ -17,13 +18,15 @@
                      python-defusedxml,
                      python-mako,
                      python-memcache,
+                     python-mock,
                      python-openssl,
                      python-paste,
-                     python-pyasn1 (>=0.1.8),
+                     python-pyasn1,
                      python-pymongo,
+                     python-pymongo (>= 3.0.1),
                      python-pytest,
-                     python-repoze.who,
                      python-requests,
+                     python-responses,
                      python-tz,
                      python-zope.interface,
                      python3-crypto,
@@ -32,31 +35,31 @@
                      python3-defusedxml,
                      python3-mako,
                      python3-memcache,
+                     python3-mock,
                      python3-openssl,
                      python3-paste,
-                     python3-pyasn1 (>=0.1.8),
-                     python3-pymongo,
+                     python3-pyasn1,
+                     python3-pymongo (>= 3.0.1),
                      python3-pytest,
-                     python3-repoze.who,
                      python3-requests,
+                     python3-responses,
                      python3-tz,
                      python3-zope.interface,
-                     xmlsec1
+                     xmlsec1,
 Standards-Version: 3.9.6
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pysaml2?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-pysaml2 -b debian/newton
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pysaml2.git
+Vcs-Git: git://anonscm.debian.org/openstack/python-pysaml2.git
 Homepage: https://github.com/rohe/pysaml2
 
 Package: python-pysaml2
 Architecture: all
-Depends: python-defusedxml,
-         python-mako,
+Depends: python-mako,
          python-memcache,
-         python-pyasn1 (>=0.1.8),
-         python-repoze.who,
+         python-pyasn1,
          xmlsec1,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
+Suggests: python-repoze.who,
 Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.
@@ -75,14 +78,13 @@
 
 Package: python3-pysaml2
 Architecture: all
-Depends: python3-defusedxml,
-         python3-mako,
+Depends: python3-mako,
          python3-memcache,
-         python3-pyasn1 (>=0.1.8),
-         python3-repoze.who,
+         python3-pyasn1,
          xmlsec1,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+Suggests: python3-repoze.who,
 Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.
@@ -102,7 +104,8 @@
 Package: python-pysaml2-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: SAML Version 2 to be used in a WSGI environment - doc
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT := https://github.com/rohe/pysaml2.git
+UPSTREAM_GIT = git://github.com/rohe/pysaml2.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
@@ -32,9 +32,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e && for pyvers in 2.7 $(PYTHON3S) ; do \
-		PYTHONPATH=$(CURDIR)/src:. py.test-$$pyvers || true ; \
-	done
+	PYTHONPATH=$(CURDIR)/src:. pytest tests
+	PYTHONPATH=$(CURDIR)/src:. pytest-3 tests
 endif
 
 override_dh_clean:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pysaml2/pysaml2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pysaml2 4.5.0

=== debian/changelog ===
python-pysaml2 (4.5.0-4+deb10u1) buster-security; urgency=medium

  * CVE-2020-5390: does not check that the signature in a SAML document is
    enveloped and thus signature wrapping is effective, i.e., it is affected by
    XML Signature Wrapping (XSW). Applied upstream patch: Fix XML Signature
    Wrapping (XSW) vulnerabilities (Closes: #949322).
  * Remove a test file that will fail past 2020-11-28 (Closes: #949227).
  * Add fix-importing-mock-in-py2.7.patch.
  * Add remove-test_switch_1.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Feb 2020 09:27:20 +0100

python-pysaml2 (4.5.0-4) unstable; urgency=medium

  * CVE-2017-1000246: Reuse of AES initialization vector in AESCipher /
    UsernamePasswordMako / Server. Backported upstream patch:
    CVE-2017-1000246_Always_generate_a_random_IV_for_AES_operations.patch
    (Closes: #882012).

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 11:54:53 +0200

python-pysaml2 (4.5.0-3) unstable; urgency=medium

  * Also remove test_load_remote_encoding() test which is doing network access
    during build (Closes: #907944).

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 11:34:59 +0200

python-pysaml2 (4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 17:05:03 +0200

python-pysaml2 (4.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release. (Closes: #857848, #882012, #886423, #859135).
  * Refreshed/rebased all patches.
  * Added python{3,}-defusedxml as (build-)depends.
  * Add python{3,}-future as (buid-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 16:47:23 +0200

python-pysaml2 (4.0.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Sets http_proxy to the discard port to make sure tests aren't doing
    network access.
  * Add patch to also remove tests/test_83_md_extensions.py that fails
    test discovery.
  * Also removed test_load_extern_incommon() which is doing network access.
  * Also removed test_enc1() failing for an unknown reason.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Apr 2018 10:24:47 +0000

python-pysaml2 (4.0.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add missing build-depends: python{3,}-mock.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:46:48 +0000

python-pysaml2 (4.0.2-1) experimental; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  [ gustavo panizzo ]
  * Increase the minimum version of python-pyasn1 required.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Using pkgos-dh_auto_install.
  * Remove one failing test.
  * Fixed debian/copyright ordering and years.
  * Standards-Version is now 4.1.3.
  * Using debhelper 10.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 13:41:27 +0000

=== debian/control ===
Source: python-pysaml2
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-alabaster,
 python-betamax,
 python-crypto,
 python-dateutil,
 python-decorator,
 python-defusedxml,
 python-future,
 python-mako,
 python-memcache,
 python-mock,
 python-openssl,
 python-paste,
 python-pyasn1,
 python-pymongo,
 python-pytest,
 python-repoze.who,
 python-requests,
 python-responses,
 python-tz,
 python-zope.interface,
 python3-betamax,
 python3-crypto,
 python3-dateutil,
 python3-decorator,
 python3-defusedxml,
 python3-future,
 python3-mako,
 python3-memcache,
 python3-mock,
 python3-openssl,
 python3-paste,
 python3-pyasn1,
 python3-pymongo,
 python3-pytest,
 python3-repoze.who,
 python3-requests,
 python3-responses,
 python3-tz,
 python3-zope.interface,
 xmlsec1,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pysaml2
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pysaml2.git
Homepage: https://github.com/rohe/pysaml2

Package: python-pysaml2
Architecture: all
Depends:
 python-defusedxml,
 python-future,
 python-mako,
 python-memcache,
 python-pyasn1,
 python-repoze.who,
 python-responses,
 xmlsec1,
 ${misc:Depends},
 ${python:Depends},
Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the Python 2.x module.

Package: python-pysaml2-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SAML Version 2 to be used in a WSGI environment - doc
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the documentation.

Package: python3-pysaml2
Architecture: all
Depends:
 python3-defusedxml,
 python3-future,
 python3-mako,
 python3-memcache,
 python3-pyasn1,
 python3-repoze.who,
 python3-responses,
 xmlsec1,
 ${misc:Depends},
 ${python3:Depends},
Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/rohe/pysaml2.git
include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

#export http_proxy=127.0.0.1:9
#export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	for i in `ls $(CURDIR)/debian/python*-pysaml2/usr/bin/*.py` ; do \
		DEST_FILE=`echo $$i | sed s/\\.py\\$$//` ; \
		mv $$i $$DEST_FILE ; \
	done
	sed -i 's| #!/usr/bin/env python|#!/usr/bin/env python|' $(CURDIR)/debian/python-pysaml2/usr/bin/python2-mdexport
	sed -i 's| #!/usr/bin/env python|#!/usr/bin/env python3|' $(CURDIR)/debian/python3-pysaml2/usr/bin/python3-mdexport

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in 2.7 $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/src:. python$$pyvers -m pytest tests ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -D today="$(BUILD_DATE)" -b html doc debian/python-pysaml2-doc/usr/share/doc/python-pysaml2-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/rohe/pysaml2/tags .*/(\d[\d\.]+)\.tar\.gz
